"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf071e50>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf071ee0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf071f70>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078040>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0780d0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078160>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0781f0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078280>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078310>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0783a0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078430>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0784c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078550>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0785e0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078670>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078700>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078790>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078820>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0788b0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078940>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0789d0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078a60>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078af0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078b80>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078ca0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078c10>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078d30>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078dc0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078e50>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078ee0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf078f70>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c040>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c0d0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c160>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c1f0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c280>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c310>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c3a0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c430>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c4c0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c550>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c5e0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c670>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c700>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c790>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c820>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c8b0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c940>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07c9d0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07ca60>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07caf0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07cb80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07cc10>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07cca0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07cd30>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07cdc0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07ce50>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07cee0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf07cf70>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080040>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0800d0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080160>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0801f0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080280>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080310>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0804c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0803a0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080550>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0805e0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080670>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080700>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080790>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0808b0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080820>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080940>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf0809d0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080a60>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080b80>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080af0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080c10>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080ca0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080d30>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080dc0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080e50>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffffaf080ee0>)]
name: str = 'fr_HOCCN'
